.cta {
    width: 100%;
    grid-column: span 3;
    background-color: #2F202D;
    padding: 48px 32px;
    margin: 16px 0;
    color: white;
    display: flex;
    flex-direction: row;

    @media screen and (max-width: 1300px) {
        padding: 24px 16px;
        grid-column: span 2;
    }

    @media screen and (max-width: 1000px) {
        flex-wrap: wrap;
    }

    @media screen and (max-width: 900px) {
        grid-column: span 1;
    }
}

.cta > span {
    margin-right: 16px;
    margin-bottom: 20px;
}

.cta > div {
    flex: 1;
    max-width: 50%;

    @media screen and (max-width: 1000px) {
        flex: 1 1 100%;
        max-width: 100%;
    }
}

.cta > .cta__text {
    flex: 0 0 51.66%;
    max-width: 51.66%;
    padding-right: 16px;

    @media screen and (max-width: 1000px) {
        margin-bottom: 24px;
        flex: 1 1 100%;
        max-width: 100%;
    }
}

.cta > .form .generated-form__row-label a,
.cta > .form .generated-form__row-label {
    color: white !important;
}

.cta .form .generated-form__row-input-container #email {
    width: 100% !important;
    flex: 1 1 auto;
    min-width: 0;
}

.cta .form .generated-form__row-input-container .generated-form__submit {
    padding: 12px 24px !important;
    border: unset !important;
}

.cta .form .generated-form__row-input-container input {
    margin: 0;
    border-radius: 8px !important;
    flex: 0 0 auto;
    width: auto !important;
}

.cta .form .generated-form__row-input-container {
    gap: 12px;
    display: flex;
    flex-direction: row;

    @media screen and (max-width: 767px) {
        flex-direction: column;
    }
}